chain.h File Reference

[[ Add one-line brief description here ]] More...

`#include "cvc4_public.h"`
`#include "expr/kind.h"`
`#include <iostream>`
Include dependency graph for chain.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CVC4::Chain
| A class to represent a chained, built-in operator. More...
struct | CVC4::ChainHashFunction

## Namespaces

namespace | CVC4

## Functions

std::ostream & | CVC4::operator<< (std::ostream &out, const Chain &ch)

## Detailed Description

[[ Add one-line brief description here ]]

    ** Original author: Morgan Deters
    ** Major contributors: none
    ** Minor contributors (to current version): none
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

[[ Add lengthier description here ]]

Todo
  document this file

Definition in file chain.h.